Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 11343015: Linux: add option to link libpci directly instead of using dlopen. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by Paweł Hajdan Jr.
Modified:
2 years, 8 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam, apatrick_chromium
Visibility:
Public.

Description

Linux: add option to link libpci directly instead of using dlopen. This is for Linux distros, so they can detect more breakages at compile time and using automated tools. BUG=none TEST=none Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=165482

Patch Set 1 #

Patch Set 2 : install-build-deps.sh #

Total comments: 3

Patch Set 3 : fixes #

Total comments: 2

Patch Set 4 : share more code #

Patch Set 5 : rebased #

Messages

Total messages: 15 (0 generated)
Paweł Hajdan Jr.
Please review: zmo: everything piman: OWNERS
2 years, 8 months ago (2012-10-29 17:17:00 UTC) #1
piman (Very slow to review)
https://codereview.chromium.org/11343015/diff/2001/content/content_gpu.gypi File content/content_gpu.gypi (right): https://codereview.chromium.org/11343015/diff/2001/content/content_gpu.gypi#newcode122 content/content_gpu.gypi:122: '<!@(pkg-config --cflags libpci)', This won't work if you have ...
2 years, 8 months ago (2012-10-29 17:24:24 UTC) #2
Paweł Hajdan Jr.
PTAL
2 years, 8 months ago (2012-10-29 17:54:06 UTC) #3
piman (Very slow to review)
LGTM for my parts, but please have zmo vet this.
2 years, 8 months ago (2012-10-29 18:03:48 UTC) #4
Zhenyao Mo
LGTM https://codereview.chromium.org/11343015/diff/8001/content/gpu/gpu_info_collector_linux.cc File content/gpu/gpu_info_collector_linux.cc (right): https://codereview.chromium.org/11343015/diff/8001/content/gpu/gpu_info_collector_linux.cc#newcode77 content/gpu/gpu_info_collector_linux.cc:77: PciInterface* interface = new struct PciInterface; Nit: this ...
2 years, 8 months ago (2012-10-29 21:39:08 UTC) #5
Paweł Hajdan Jr.
http://codereview.chromium.org/11343015/diff/8001/content/gpu/gpu_info_collector_linux.cc File content/gpu/gpu_info_collector_linux.cc (right): http://codereview.chromium.org/11343015/diff/8001/content/gpu/gpu_info_collector_linux.cc#newcode77 content/gpu/gpu_info_collector_linux.cc:77: PciInterface* interface = new struct PciInterface; On 2012/10/29 21:39:08, ...
2 years, 8 months ago (2012-10-29 23:06:44 UTC) #6
Zhenyao Mo
LGTM
2 years, 8 months ago (2012-10-29 23:09:38 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/phajdan.jr@chromium.org/11343015/9008
2 years, 8 months ago (2012-11-01 00:01:53 UTC) #8
commit-bot: I haz the power
Failed to apply patch for build/install-build-deps.sh: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
2 years, 8 months ago (2012-11-01 00:01:55 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/phajdan.jr@chromium.org/11343015/12002
2 years, 8 months ago (2012-11-01 17:26:05 UTC) #10
commit-bot: I haz the power
Change committed as 165482
2 years, 8 months ago (2012-11-01 20:08:50 UTC) #11
jam
I just synced and now I get: ../../content/gpu/gpu_info_collector_linux.cc:13:21: error: pci/pci.h: No such file or directory ...
2 years, 8 months ago (2012-11-01 21:04:57 UTC) #12
piman (Very slow to review)
On Thu, Nov 1, 2012 at 2:04 PM, <jam@chromium.org> wrote: > I just synced and ...
2 years, 8 months ago (2012-11-01 21:08:36 UTC) #13
Paweł Hajdan Jr.
PSA sent. John, sorry about the surprise build failure, now the change is announced. Please ...
2 years, 8 months ago (2012-11-01 21:12:30 UTC) #14
jam
2 years, 8 months ago (2012-11-01 21:33:10 UTC) #15
that worked,t hanks

On Thu, Nov 1, 2012 at 2:12 PM, <phajdan.jr@chromium.org> wrote:

> PSA sent. John, sorry about the surprise build failure, now the change is
> announced. Please let me know if problems continue after running
> install-build-deps.sh
>
>
https://chromiumcodereview.**appspot.com/11343015/<https://chromiumcodereview...
>
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d